#!/usr/bin/env bash

if [ ! -z "${APPNET}" ]; then
   echo "Initial nslookup ${HOSTNAME}.${APPNET}"
   nslookup ${HOSTNAME}.${APPNET}
   while [ $? -ne 0 ]; do
     echo "Waiting for ${HOSTNAME}.${APPNET} to become available"
     sleep 1
     nslookup ${HOSTNAME}.${APPNET}
   done

   echo "Initial nslookup tasks.${ADMIN_HOST}.${APPNET}"
   nslookup tasks.${ADMIN_HOST}.${APPNET}
   while [ $? -ne 0 ]; do
     echo "Waiting for tasks.${ADMIN_HOST}.${APPNET} to become available"
     sleep 1
     nslookup tasks.${ADMIN_HOST}.${APPNET}
   done
fi


sed -i "s/192.168.201.12:27017/${DB_CLUSTER}/" /etc/web-laboratory/application.conf
sed -i "s/192.168.201.13/$(nslookup tasks.${ADMIN_HOST}.${APPNET} | grep Address | tail -n1 | cut -f2 -d' ')/" /etc/web-laboratory/application.conf
sed -i "s/192.168.201.23/$(nslookup ${HOSTNAME}.${APPNET} | grep Address | tail -n1 | cut -f2 -d' ')/" /etc/web-laboratory/application.conf

source /etc/init.d/web-laboratory status

exec "$@"
